Page MenuHomePhabricator

Show redlink in Special:WhatLinkHere below filters
Closed, ResolvedPublic

Description

When viewing the pages that link to any page, such as Initial Securities Offering, the link next to "The following pages link to" or "No pages link to" below the filters now shows "redirect=no" if the page is a redirect, as per T189860. But now the link always appears blue regardless of whether the page exists or not. It should continue to show a redlink if the page doesn't exist. Also, the "linkshere", "nolinkshere", and "nolinkshere-ns" messages have been renamed to add "-2" to the end, which is really unnecessary. The "-2" renames should be reverted.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 30 2018, 12:04 AM

@GeoffreyT2000 No, the "-2" is not unnecessary. We changed parsing method and thus can't reuse the old message, so we can't revert it. For the moment I submitted a patch to make the messages backward compatible. Now I'll start looking at this, but if someone gets it sooner than me, feel free to submit a patch. I'd just suggest to set https://gerrit.wikimedia.org/r/#/c/436307/ as dependency to avoid conflicts etc.

Change 436314 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/core@master] Use makeLink instead of makeKnownLink on Special:WhatLinksHere

https://gerrit.wikimedia.org/r/436314

Daimona claimed this task.May 30 2018, 3:37 PM

Change 436314 merged by jenkins-bot:
[mediawiki/core@master] Use makeLink instead of makeKnownLink on Special:WhatLinksHere

https://gerrit.wikimedia.org/r/436314

Daimona closed this task as Resolved.Jun 8 2018, 10:12 AM
Daimona removed a project: Patch-For-Review.
Vvjjkkii renamed this task from Show redlink in Special:WhatLinkHere below filters to q0baaaaaaa.Jul 1 2018, 1:06 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Daimona as the assignee of this task.
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Daimona renamed this task from q0baaaaaaa to Show redlink in Special:WhatLinkHere below filters.Jul 1 2018, 10:19 AM
Daimona closed this task as Resolved.
Daimona claimed this task.
Daimona raised the priority of this task from High to Needs Triage.
Daimona updated the task description. (Show Details)
Daimona added subscribers: gerritbot, Aklapper.